Home of the Squeezebox™ & Transporter® network music players.
Results 1 to 6 of 6
  1. #1
    Junior Member
    Join Date
    Oct 2019
    Posts
    4

    Spotty Plugin Failed To Load

    Hi All:

    Spotty is showing up in my list of plugins but there is a notice that the "Plugin Failed to Load" (see attached screenshot below).

    I am running Logitech Media Server Version: 7.9.2 - 0027.1571226194 on a Synology DS718+.

    I installed Spotty 2.8.7 via extracting it to the correct plugins folder and also installed the helper file to the following directory:

    /volume1/@appstore/SqueezeCenter/Bin

    LMS works great otherwise.

    Any help or tips would be appreciated.

    Name:  Screen Shot 2019-11-03 at 9.09.00 AM.jpg
Views: 266
Size:  142.4 KB

  2. #2
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,324

    Spotty Plugin Failed To Load

    > Spotty is showing up in my list of plugins but there is a notice that
    > the "Plugin Failed to Load" (see attached screenshot below).


    What would server.log say?

    > I installed Spotty 2.8.7 via extracting it to the correct plugins folder
    > and also installed the helper file to the following directory:


    There's no helper to be installed if you installed the plugin correctly.
    Where exactly did you put it? Do NOT put it in the InstalledPlugins
    folder inside the cache. Put it in

    /volume1/@appstore/SqueezeCenter/Plugins

    --

    Michael

  3. #3
    Junior Member
    Join Date
    Oct 2019
    Posts
    4
    What would server.log say?
    [color=blue]

    Here is what the server.log says:

    [19-11-03 02:29:15.4013] Slim::bootstrap::tryModuleLoad (287) Warning: Module [Plugins::Spotty::Plugin] failed to load:
    Can't locate Plugins/Spotty/Plugin.pm in @INC (you may need to install the Plugins::Spotty::Plugin module) (@INC contains: /volume1/@appstore/SqueezeCenter/Cache/InstalledPlugins /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24/x86_64-linux/auto /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24.0/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24.0/x86_64-linux/auto /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24/x86_64-linux/auto /volume1/@appstore/SqueezeCenter/CPAN/arch/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24 /volume1/@appstore/SqueezeCenter/lib /volume1/@appstore/SqueezeCenter/CPAN /volume1/@appstore/SqueezeCenter /volume1/@appstore/SqueezeCenter /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24/x86_64-linux/auto /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24.0/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24.0/x86_64-linux/auto /volume1/@appstore/SqueezeCenter/CPAN/arch/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24 /volume1/@appstore/SqueezeCenter/lib /volume1/@appstore/SqueezeCenter/CPAN /usr/local/lib/perl5/site_perl /usr/local/share/perl5/site_perl /usr/local/lib/perl5/vendor_perl /usr/local/share/perl5/vendor_perl /usr/local/lib/perl5/core_perl /usr/local/share/perl5/core_perl .) at (eval 920) line 1.
    BEGIN failed--compilation aborted at (eval 920) line 1.

    I removed the helper files. I have the Spotty 2.8.7 files in this directory:

    /volume1/@appstore/SqueezeCenter/Plugins/Spotty-2.8.7

    Maybe the problem is with how I installed the plugin? I downloaded the most recent spotty zip and uploaded it to the NAS. I extracted it to a folder on the NAS and them moved this folder to
    "/volume1/@appstore/SqueezeCenter/Plugins/" via Mac terminal

  4. #4
    Junior Member
    Join Date
    Oct 2019
    Posts
    4
    [QUOTE=mherger;954575]> Spotty is showing up in my list of plugins but there is a notice that
    > the "Plugin Failed to Load" (see attached screenshot below).


    What would server.log say?
    [color=blue]

    Here is what the server.log says:

    [19-11-03 02:29:14.4059] main::init (387) Starting Logitech Media Server (v7.9.2, 0027.1571226194, Wed Oct 16 14:24:12 CEST 2019) perl 5.024000 - x86_64-linux
    [19-11-03 02:29:15.4013] Slim::bootstrap::tryModuleLoad (287) Warning: Module [Plugins::Spotty::Plugin] failed to load:
    Can't locate Plugins/Spotty/Plugin.pm in @INC (you may need to install the Plugins::Spotty::Plugin module) (@INC contains: /volume1/@appstore/SqueezeCenter/Cache/InstalledPlugins /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24/x86_64-linux/auto /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24.0/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24.0/x86_64-linux/auto /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24/x86_64-linux/auto /volume1/@appstore/SqueezeCenter/CPAN/arch/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24 /volume1/@appstore/SqueezeCenter/lib /volume1/@appstore/SqueezeCenter/CPAN /volume1/@appstore/SqueezeCenter /volume1/@appstore/SqueezeCenter /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24/x86_64-linux/auto /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24.0/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24.0/x86_64-linux/auto /volume1/@appstore/SqueezeCenter/CPAN/arch/x86_64-linux /volume1/@appstore/SqueezeCenter/CPAN/arch/5.24 /volume1/@appstore/SqueezeCenter/lib /volume1/@appstore/SqueezeCenter/CPAN /usr/local/lib/perl5/site_perl /usr/local/share/perl5/site_perl /usr/local/lib/perl5/vendor_perl /usr/local/share/perl5/vendor_perl /usr/local/lib/perl5/core_perl /usr/local/share/perl5/core_perl .) at (eval 920) line 1.
    BEGIN failed--compilation aborted at (eval 920) line 1.

    [19-11-03 02:29:15.4022] Slim::Utils::PluginManager::load (323) Error: Couldn't load Plugins::Spotty::Plugin
    [19-11-03 02:29:15.4178] Slim::Plugin::ACLFiletest::Plugin:reinitPlugin (25) Error: Successfully initialized ACL filetests


    I removed the helper file.

    I have the spotty files here:

    /volume1/@appstore/SqueezeCenter/Plugins/Spotty-2.8.7/

    Maybe the problem is with how I installed the plugin?

    I basically uploaded the ZIP to my NAS. Extracted to a folder on the NAS and then move "/volume1/@appstore/SqueezeCenter/Plugins/" via Mac terminanl

  5. #5
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,324
    Quote Originally Posted by bdj31 View Post
    /volume1/@appstore/SqueezeCenter/Plugins/Spotty-2.8.7/
    Remove the version number from the folder name. Just "Spotty".
    Michael

    http://www.herger.net/slim-plugins - Spotty, MusicArtistInfo

  6. #6
    Junior Member
    Join Date
    Oct 2019
    Posts
    4
    Thank you! This worked perfectly. Issue resolved!

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •